For the complete documentation index, see llms.txt. This page is also available as Markdown.

Search for orders in all stores on tenant

Optionally narrow down the search to order in given stores and organizatons.

The field orderStatuses can not be used in combination with the fields orderStates, settleStates or deliveryStates.

post
/tenants/{tenantUid}/orders/search
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Body

Search for orders in all stores on tenant.

An empty string will be ignored, and handled as if the key did not exist in the payload.

Fuzzy search means that it will try to find words that contains the query string that is supplied. The search is case-insensitive. Example: If you search for "Ol" you will get "Olsen", "Olstad", "Bolset", "Ormebol", kolstad@example.com, etc ..

storeUidsstring[]Optional
organizationUidsstring[]Optional
customerQuerystringOptional

Search for orders containting this customer. The customer can be specific by firstname, lastname, phonenumber or email. This is a fuzzy search.

customerUidstringOptionalPattern: ^[A-Za-z0-9-_]+
fromDateTimestring · date-timeOptionalDeprecated
createdAtFromstring · date-timeOptional
settledAtFromstring · date-timeOptional
lastModifiedAtFromstring · date-timeOptional
orderNumberstringOptional

Search for an order with a specific ordernumber. This is an exact lookup

externalOrderNumberstringOptional

Search for an order with a specific externalOrderNumber. This is an exact lookup

externalVoucherNumberstringOptionalDeprecated

Search for an order with a specific externalVouchermber. This is an exact lookup

externalIdKeystringOptional

Search for orders with an external ID for the given key. Must be used together with externalIdValue.

externalIdValuestringOptional

Exact match on external ID value for the given externalIdKey.

productSkustringOptional

Search for orders containing the product. This must be a SKU and is an exact lookup.

toDateTimestring · date-timeOptionalDeprecated
createdAtTostring · date-timeOptional
settledAtTostring · date-timeOptional
lastModifiedAtTostring · date-timeOptional
tenantUserUidsstring[]Optional
orderHandlingUidsstring[]Optional
deliverFromStoreUidsstring[]Optional
querystringOptional

General fuzzy search.

productUidsstring[]Optional
tenantPaymentMethodUidsstring[]Optional

Search for order containing one of the specified payment methods.

isCustomerOrderbooleanOptional

If true, returns orders with orderlines that has either reservationType='REQUEST_PURCHASEORDER' or has a link to a purchaseOrder item

hasReservedLinesbooleanOptional

When true, the search returns only orders that include at least one order line with a reservation (reservedQuantity <> 0). When omitted or false, reservation state does not affect the results.

orderDateFromstring · date-timeOptional
orderDateTostring · date-timeOptional
Responses
200

Example response

application/json
post/tenants/{tenantUid}/orders/search
POST /v2/tenants/{tenantUid}/orders/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 998

{
  "storeUids": [
    "text"
  ],
  "organizationUids": [
    "text"
  ],
  "customerQuery": "text",
  "customerUid": "text",
  "createdAtFrom": "2026-01-01T00:00:00.000Z",
  "settledAtFrom": "2026-01-01T00:00:00.000Z",
  "lastModifiedAtFrom": "2026-01-01T00:00:00.000Z",
  "orderNumber": "text",
  "externalOrderNumber": "text",
  "externalIdKey": "text",
  "externalIdValue": "text",
  "productSku": "text",
  "createdAtTo": "2026-01-01T00:00:00.000Z",
  "settledAtTo": "2026-01-01T00:00:00.000Z",
  "lastModifiedAtTo": "2026-01-01T00:00:00.000Z",
  "tenantUserUids": [
    "text"
  ],
  "orderStates": [
    "OPEN"
  ],
  "settleStates": [
    "NOT_STARTED"
  ],
  "deliveryStates": [
    "NOT_STARTED"
  ],
  "orderStatuses": [
    "OPEN"
  ],
  "orderTypes": [
    "OFFER"
  ],
  "orderHandlingStates": [
    "NOT_STARTED"
  ],
  "orderHandlingUids": [
    "text"
  ],
  "deliverFromStoreUids": [
    "text"
  ],
  "query": "text",
  "productUids": [
    "text"
  ],
  "tenantPaymentMethodUids": [
    "text"
  ],
  "reservationTypes": [
    "NONE"
  ],
  "isCustomerOrder": true,
  "hasReservedLines": true,
  "amountRange": {
    "from": 1,
    "to": 1
  },
  "orderDateFrom": "2026-01-01T00:00:00.000Z",
  "orderDateTo": "2026-01-01T00:00:00.000Z"
}
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "customerAddress": {
        "address": "text",
        "city": "text",
        "companyName": "text",
        "countryCode": "text",
        "email": "text",
        "firstname": "text",
        "lastname": "text",
        "mobile": "text",
        "postalCode": "text",
        "vatNumber": "text",
        "displayName": "text"
      },
      "customerUid": "text",
      "customerContact": {
        "customerContactUid": "text",
        "firstname": "text",
        "lastname": "text",
        "email": "text",
        "mobile": "text",
        "displayName": "text"
      },
      "deliveryState": "NOT_STARTED",
      "externalIds": [
        {
          "key": "text",
          "label": "text",
          "value": "text",
          "visibility": "INTERNAL"
        }
      ],
      "invoiceAddress": {
        "address": "text",
        "city": "text",
        "companyName": "text",
        "countryCode": "text",
        "email": "text",
        "mobile": "text",
        "firstname": "text",
        "lastname": "text",
        "postalCode": "text",
        "displayName": "text",
        "customerAddressUid": "text"
      },
      "items": [
        {
          "actions": [
            {
              "comment": "text",
              "createdAt": "2026-01-01T00:00:00.000Z",
              "createdBy": "text",
              "handlingActionUid": "text",
              "handlingActionName": "text",
              "handlingDescription": "text",
              "handlingUid": "text",
              "handlingName": "text",
              "lastModifiedAt": "2026-01-01T00:00:00.000Z",
              "lastModifiedBy": "text",
              "orderHandlingActionUid": "text"
            }
          ],
          "allowedActions": [
            "QUANTITY_SOLD"
          ],
          "createdAt": "2026-01-01T00:00:00.000Z",
          "discountReasonCode": "text",
          "externalId": "text",
          "externalOrderLinks": [
            {
              "orderId": "text",
              "orderNumber": "text",
              "orderItemId": "text",
              "system": "text",
              "type": "CREDIT"
            }
          ],
          "itemCost": 1,
          "itemDiscountAmount": 1,
          "itemDiscountPercentage": 1,
          "itemGrossProfitAmount": 1,
          "itemGrossProfitPercentage": 1,
          "itemPrice": 1,
          "itemVatAmount": 1,
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "ledgerNumber": "text",
          "name": "text",
          "note": "text",
          "orderItemReference": "text",
          "orderItemUid": "text",
          "orderLinks": [
            {
              "orderUid": "text",
              "orderItemUid": "text",
              "orderNumber": "text",
              "storeUid": "text",
              "type": "CREDIT"
            }
          ],
          "originalItemPrice": 1,
          "productUid": "text",
          "productType": "STOCK",
          "properties": [
            {
              "uid": "text",
              "key": "text",
              "value": "text"
            }
          ],
          "quantityCredited": 1,
          "quantityDelivered": 1,
          "quantityOrdered": 1,
          "quantityReserved": 1,
          "returnReasonCode": "text",
          "returnReference": "text",
          "serialnumber": "text",
          "sku": "text",
          "sortOrder": 1,
          "tenantUserDisplayName": "text",
          "tenantUserUid": "text",
          "totalCost": 1,
          "totalDiscountAmount": 1,
          "totalGrossProfitAmount": 1,
          "totalPrice": 1,
          "totalVatAmount": 1,
          "vatCodeUid": "text",
          "warehouseUid": "text",
          "warehouseName": "text",
          "internalInfo": "text",
          "productProperties": [
            {
              "productPropertyUid": "text",
              "propertyName": "text",
              "propertyOptionName": "text",
              "propertyType": "TEXT",
              "propertyText": "text",
              "propertyUid": "text",
              "propertyOptionUid": "text",
              "required": true
            }
          ],
          "coverImage": {
            "productMediaUid": "text",
            "mainUrl": "text",
            "thumbnailUrl": "text"
          },
          "deliveryUid": "text",
          "compensationReasonCode": "text",
          "orderReceiptUid": "text",
          "allowDelivery": "YES",
          "allowDeliveryFromDate": "2026-01-01T00:00:00.000Z",
          "reservationType": "NONE",
          "reservationDetails": {
            "warehouse": {
              "warehouseName": "text"
            },
            "purchaseOrder": {
              "purchaseOrderUid": "text",
              "purchaseOrderItemUid": "text",
              "expectedDeliveryDate": "2026-01-01T00:00:00.000Z",
              "purchaseOrderNumber": "text",
              "quantityOrdered": 1,
              "externalId": "text"
            },
            "receivement": {
              "receivementUid": "text",
              "receivementItemUid": "text",
              "expectedArrival": "2026-01-01T00:00:00.000Z",
              "expectedDispatch": "2026-01-01T00:00:00.000Z",
              "quantity": 1,
              "supplierOrderReference": "text",
              "receivedAt": "2026-01-01T00:00:00.000Z"
            },
            "interStorePurchaseOrder": {
              "storeUid": "text",
              "storeName": "text",
              "purchaseOrderUid": "text",
              "purchaseOrderNumber": "text",
              "purchaseOrderItemUid": "text"
            },
            "interStorePurchaseOrderReceivement": {
              "receivementUid": "text",
              "receivementItemUid": "text",
              "expectedArrival": "2026-01-01T00:00:00.000Z",
              "expectedDispatch": "2026-01-01T00:00:00.000Z",
              "quantity": 1,
              "supplierOrderReference": "text",
              "receivedAt": "2026-01-01T00:00:00.000Z"
            }
          },
          "interStoreOrderReservationQuantity": 1,
          "gtins": [
            {
              "gtin": "text",
              "primary": true,
              "type": "text"
            }
          ],
          "usesVatMarginScheme": true
        }
      ],
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "interStorePurchaseOrder": {
        "purchaseOrderUid": "text",
        "purchaseNumber": "text",
        "storeUid": "text",
        "storeName": "text"
      },
      "note": "text",
      "internalNote": "text",
      "orderUid": "text",
      "orderNumber": "text",
      "orderDate": "2026-01-01T00:00:00.000Z",
      "orderState": "OPEN",
      "orderTotals": {
        "costTotal": 1,
        "grandTotal": 1,
        "grossProfitAmount": 1,
        "grossProfitPercentage": 1,
        "specifiedVat": [
          {
            "vatAmount": 1,
            "vatDescription": "text",
            "vatRate": 1
          }
        ],
        "subtotal": 1,
        "totalDiscount": 1,
        "totalVat": 1
      },
      "orderhandlingState": "NOT_STARTED",
      "orderhandlings": [
        {
          "active": true,
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "description": "text",
          "handlingUid": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "name": "text",
          "orderHandlingUid": "text",
          "state": "NOT_STARTED"
        }
      ],
      "settleState": "NOT_STARTED",
      "settledAt": "2026-01-01T00:00:00.000Z",
      "settlementTotals": {
        "change": 1,
        "remaining": 1,
        "remainingRounded": 1,
        "totals": 1,
        "remainingPrePayment": 1,
        "remainingAuthorizedAmount": 1
      },
      "settlements": [
        {
          "amount": 1,
          "createdAt": "2026-01-01T00:00:00.000Z",
          "displayMessages": [
            {
              "key": "text",
              "message": "text",
              "timestamp": "2026-01-01T00:00:00.000Z"
            }
          ],
          "externalId": "text",
          "externalPaymentReference": "text",
          "idMethod": "NO_CVM_RULE_PERFORMED",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "ledgerNumber": "text",
          "ledgerType": "LEDGER",
          "parameters": [
            {
              "key": "text",
              "value": "text",
              "name": "text",
              "type": "TEXT"
            }
          ],
          "settledAt": "2026-01-01T00:00:00.000Z",
          "settlementCode": "text",
          "settlementUid": "text",
          "settlementName": "text",
          "state": "NOT_STARTED",
          "status": "NEW",
          "storeSettlementIssuer": {
            "storeSettlementIssuerUid": "text",
            "name": "text",
            "code": "text"
          },
          "tenantUserDisplayName": "text",
          "tenantUserUid": "text",
          "storePaymentMethodUid": "text",
          "currency": {
            "amount": 1,
            "code": "text",
            "exchangeRate": 1
          },
          "additionalDetails": [
            {
              "key": "text",
              "value": "text"
            }
          ],
          "creditCount": 1,
          "creditAmount": 1,
          "paymentCount": 1,
          "paymentAmount": 1,
          "tillUid": "text",
          "tillName": "text",
          "tillNumber": 1,
          "storeUid": "text",
          "storeName": "text",
          "orderReceiptUid": "text",
          "authorizedAmount": 1,
          "capturedAmount": 1,
          "refundedAmount": 1,
          "receiptText": "text",
          "transactions": [
            {
              "transactionType": "text",
              "pspTransactionId": "text",
              "transactionAmount": 1,
              "orderReceiptUid": "text"
            }
          ],
          "allowedActions": [
            "CANCEL"
          ]
        }
      ],
      "storeUid": "text",
      "storeName": "text",
      "systemOrigin": "text",
      "tenantUserDisplayName": "text",
      "tenantUserUid": "text",
      "tillUid": "text",
      "type": "OFFER",
      "validUntil": "2026-01-01T00:00:00.000Z",
      "vatFree": true,
      "vatPrint": "SUM",
      "voucherNumber": "text",
      "deliveryDate": "2026-01-01",
      "discounts": [
        {
          "orderDiscountUid": "text",
          "discountCode": "text",
          "type": "PERCENTAGE",
          "amount": 1,
          "name": "text",
          "origin": "LOYALTY",
          "validTo": "2026-01-01T00:00:00.000Z",
          "maxUsage": 1,
          "productSkus": [
            "text"
          ],
          "orderItemUids": [
            "text"
          ],
          "externalTransactionId": "text",
          "scope": "WHOLE_ORDER",
          "discountReasonCode": "text",
          "discountReference": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "campaignUid": "text"
        }
      ],
      "compensationReasonUid": "text",
      "lastModifiedBy": "text",
      "allowedActions": [],
      "blockings": [
        {
          "orderBlockingUid": "text",
          "type": "DELIVER_OUT",
          "description": "text"
        },
        {
          "createdBy": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z"
        }
      ],
      "deviations": [
        {
          "type": "DELIVERY_DATE_LATE",
          "orderItemUids": [
            "text"
          ],
          "openedAt": "2026-01-01T00:00:00.000Z",
          "description": "text",
          "sourceDate": "2026-01-01",
          "agreedDate": "2026-01-01",
          "latestPickupDate": "2026-01-01"
        }
      ]
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?